CELL_MK_DIR = $(CELL_SDK)/samples/mk
include $(CELL_MK_DIR)/sdk.makedef.mk

PEXPORTPICKUP = ppu-lv2-prx-exportpickup

CRT_HEAD += $(shell ppu-lv2-gcc -print-file-name'='ecrti.o)
CRT_HEAD += $(shell ppu-lv2-gcc -print-file-name'='crtbegin.o)
CRT_TAIL += $(shell ppu-lv2-gcc -print-file-name'='crtend.o)
CRT_HEAD += $(shell ppu-lv2-gcc -print-file-name'='ecrtn.o)


PPU_SRCS  = mem.c misc.c png_dec.c blitting.c scroller.c starfield.c vsh_menu.c main.c

#FOR_DEBUG:
#PPU_SRCS += network.c

PPU_INCDIRS = -I ./inc
PPU_PRX_TARGET = ps3_vsh_menu.prx

PPU_PRX_LDFLAGS = -L ./lib -Wl, --strip-unused-data
#PPU_PRX_LDFLAGS = -L ./lib -Wl,--as-needed,--warn-once
#PPU_PRX_LDFLAGS = -L ./lib -Wl,--as-needed,--no-undefined,--noinhibit-exec,--warn-once,--verbose

PPU_PRX_STRIP_FLAGS = -s

PPU_PRX_EXLIBS =	-lstdc_export_stub \
          		 		-lsysPrxForUser_export_stub \
             	 	 	-lvsh_export_stub \
               		-lpaf_export_stub \
               		-lvshmain_export_stub \
               		-lvshtask_export_stub \
              		-lallocator_export_stub \
               		-lsdk_export_stub \
               		-lxsetting_export_stub \
               		-lsys_io_export_stub \
               		-lpngdec_ppuonly_export_stub

PPU_PRX_LDLIBS += $(PPU_PRX_EXLIBS) \
						  		-lfs_stub \
               		-lrtc_stub \

#FOR_DEBUG:
#PPU_PRX_LDLIBS += -lnet_stub

PPU_CFLAGS += -Os -ffunction-sections -fdata-sections \
              -fno-builtin-printf -nodefaultlibs -std=gnu99 \
              -Wno-shadow -Wno-unused-parameter -ffast-math


#PPU_CFLAGS += -DDEBUG

#PPU_CFLAGS += -DHAVE_SYS_FONT
PPU_CFLAGS += -DHAVE_PNG_FONT
#PPU_CFLAGS += -DHAVE_XBM_FONT

#PPU_CFLAGS += -DHAVE_STARFIELD
#PPU_CFLAGS += -DHAVE_SSCROLLER

PPU_CFLAGS += -DVSH_MENU

CLEANFILES = ./$(PPU_SPRX_TARGET)

all:
	$(MAKE) $(PPU_OBJS_DEPENDS)
	$(PPU_PRX_STRIP) --strip-debug --strip-section-header $(PPU_PRX_TARGET)
	scetool -p /usr/bin/scetool_data/ -0 SELF -1 TRUE -s FALSE -2 1C -3 1070000052000001 -4 01000002 -5 APP -6 0003004000000000 -A 0001000000000000 -e ps3_vsh_menu.prx ps3_vsh_menu.sprx

include $(CELL_MK_DIR)/sdk.target.mk

